com.smartgwt.client.widgets.events

## Interface HasResizedHandlers

- All Superinterfaces:
    com.google.gwt.event.shared.HasHandlers
  All Known Implementing Classes:
    AceEditor, ActiveXControl, AdaptiveMenu, AdvancedHiliteEditor, AISortProgressDialog, AIWindow, BatchUploader, BatchUploader, BrowserPlugin, BuildUIViaAIProgressDialog, BuildViaAIProgressDialog, Button, Calendar, CalendarView, Canvas, ColorPicker, ColumnTree, CSSEditor, CubeGrid, DataView, DateChooser, DateGrid, DateRangeDialog, Deck, DetailViewer, Dialog, DrawKnob, DrawPane, DynamicForm, EdgedCanvas, EditPane, EditSearchWindow, EditTree, EventCanvas, FacetChart, FieldPicker, FieldPickerWindow, FilterBuilder, FilterClause, FilterViaAIProgressDialog, Flashlet, FlowLayout, Gauge, GradientEditor, GridRenderer, HeaderControl, HiliteEditor, HiliteRule, HiliteViaAIProgressDialog, HLayout, HStack, HTMLFlow, HTMLPane, IButton, IconButton, IconMenuButton, IMenuButton, Img, ImgButton, ImgSectionHeader, ImgSplitbar, ImgTab, IndicatorCanvas, Label, Layout, LayoutSpacer, ListGrid, ListPalette, ListPropertiesDialog, ListPropertiesPane, Menu, MenuBar, MenuButton, MenuPalette, MiniNavControl, MultiFilePicker, MultiGroupDialog, MultiGroupPanel, MultiSortDialog, MultiSortPanel, NavigationBar, NavigationButton, NavPanel, PickListMenu, PortalLayout, Portlet, PrintCanvas, PrintWindow, Progressbar, PropertySheet, RangeSlider, RecordEditor, Reify, RibbonBar, RibbonButton, RibbonGroup, RibbonMenuButton, RichTextEditor, SavedSearchEditor, ScreenLoader, Scrollbar, SearchForm, SectionHeader, SectionStack, SelectionTreeMenu, SimpleTile, Slider, Snapbar, Splitbar, SplitPane, StatefulCanvas, StretchImg, StretchImgButton, SVG, TabBar, TableView, TabSet, TileGrid, TileLayout, TilePalette, Timeline, Toolbar, ToolStrip, ToolStripButton, ToolStripGroup, ToolStripMenuButton, ToolStripResizer, ToolStripSeparator, ToolStripSpacer, TourWindow, TransferImgButton, TreeGrid, TreeMenuButton, TreePalette, ViewLoader, VLayout, VStack, WidgetCanvas, Window, ZoneCanvas

      public interface HasResizedHandlers
      extends com.google.gwt.event.shared.HasHandlers

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.google.gwt.event.shared.HandlerRegistration` | `addResizedHandler(ResizedHandler handler)` Method called whenever a Canvas changes size.

    - ### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

      `fireEvent`

- - ### Method Detail

    - #### addResizedHandler

          com.google.gwt.event.shared.HandlerRegistration addResizedHandler(ResizedHandler handler)

      Method called whenever a Canvas changes size. Note that if this canvas is `overflow:"visible"`, and is waiting for a queued redraw (see `isDirty()`), the value for `getVisibleWidth()` and `getVisibleHeight()` will be unreliable until `redraw()` fires.
      In this case, if the delayed redraw does change the drawn size of the component, this notification will be fired a second time when it completes.
      Parameters:
        `handler` - the resized handler
      Returns:
        `HandlerRegistration` used to remove this handler